Katello - Bug #6509

hammer content-view version promote should have friendlier options
07/07/2014 09:33 AM - Toma$ Strachota

Status: Closed
Priority: High
Assignee: Tomas Strachota
Category: Hammer
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1102284 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/452
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102284
Description of problem:

Right now content-view version promote requires:

——environment-id ENVIRONMENT_ID
--id ID Content view version identifier

Ideally we should be able to identify a version by:

Content View Name & Version Number
Content view Name and An environment name (l.e. Promote from Library to Dev)

Ideally the to & from environment should be identifiable by name and label

Associated revisions

Revision 8958e24e - 08/14/2014 05:05 AM - Tomas Strachota
Fixes #6509 - friendlier options for content-view version promote BZ1102284
- CV versions are now searchable by CV + environment or CV + version

- workaround for katello/foreman environment name conflicts
- options --from-lifecycle-environment and --to-lifecycle-environment for version promote

Revision dd80d010 - 08/15/2014 10:22 AM - Tomas Strachota

Refs #6509 - content view versions filterable by env and version BZ1102284

Revision a4d7f48d - 08/15/2014 02:17 PM - David Davis

Merge pull request #4522 from tstrachota/cv_versions

Refs #6509 - content view versions filterable by env and version BZ1102284
Revision 361e130f - 08/19/2014 03:25 AM - Tomas Strachota

Merge pull request #214 from tstrachota/cv_versions

Fixes #6509 - friendlier options for content-view version promote BZ1102284

History

#1 - 07/07/2014 01:22 PM - Eric Helms
- Target version set to 49
- Difficulty set to easy

- Triaged changed from No to Yes
https://bugzilla.redhat.com/show_bug.cgi?id=1102284

#2 - 07/28/2014 08:45 AM - Eric Helms

- Target version changed from 49 to 54

#3 - 08/04/2014 09:14 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4522 added

#4 - 08/18/2014 08:32 AM - Eric Helms

- Target version changed from 54 to 55

#5 - 08/19/2014 04:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|8958e24eb5486¢978c6cbdf172c6a04376e2bf43.

#6 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
